apiVersion: gateway.networking.k8s.io/v1
kind: HTTPRoute
metadata:
  name: {{ .Chart.Name }}
  namespace: {{ .Release.Namespace }}
spec:
  parentRefs:
  - name: envoy-gateway
    namespace: envoy-gateway-system
  hostnames:
  - "tcb-devportal.fireflylab.local"
  rules:
  - matches:
    - path:
        type: PathPrefix
        value: /
    backendRefs:
    - name: {{ .Chart.Name }}
      port: {{ .Values.service.port }}
